#!/bin/bash

# Author: Victor Correal (victor.correal@bsc.es)
# Date  : 1/05/2024

INSTALL_DIR=
ENV_FILE=
REF_RUNDIR=
RUNDIR=
FORCE=false

source ../../bash_utils/helpers.sh
source utils_create_rundir.sh

# 1. Check args
parse_args "$@"
check_required_args
print_options

# 2. Generate rundir: Copy binary from the install dir && the other inputs:
ORIGIN_FOLDER=$PWD
mkdir -p $RUNDIR && cd $RUNDIR
info "Using $REF_RUNDIR as reference rundir..."

cp -P $REF_RUNDIR/* .

# 3. Copy binary and env:
ln -svf $INSTALL_DIR/nemo
ln -svf $ENV_FILE env.sh
cp ${ORIGIN_FOLDER}/../../running/nemo-standalone/run_nemo_directory.slurm run_nemo.slurm
